Bug 1694173 - Some cluster operators never became available authentication during e2e run
Summary: Some cluster operators never became available authentication during e2e run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Sally
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 17:11 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:42 UTC

Description Clayton Coleman 2019-03-29 17:11:34 UTC
Authentication was available false after CVO reported success:

Mar 28 23:32:57.986: INFO: Operators still doing work: <nil>/authentication

https://openshift-gce-devel.appspot.com/build/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-4.0/6279

Comment 1 Sally 2019-04-08 15:02:30 UTC
I am aware that the authentication CO is the last to become available.  Looking into this, I see that cluster-authentication-operator is reporting Available=False and Failing=True when those should instead be Progressing=True.  Working up a PR for it.

Comment 3 Chuan Yu 2019-04-19 03:22:58 UTC
Verified.

$ oc get co authentication
NAME             VERSION                             AVAILABLE   PROGRESSING   FAILING   SINCE
authentication   4.1.0-0.nightly-2019-04-18-210657   True        False         False     59m

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.1.0-0.nightly-2019-04-18-210657   True        False         56m     Cluster version is 4.1.0-0.nightly-2019-04-18-210657

Comment 5 errata-xmlrpc 2019-06-04 10:46:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.